#include <gtk/gtk.h>

// writing and reading temp files

gboolean save_to_temp_file(void);
gboolean read_from_temp_file(void);

// save the scribbles from the current jounal to the indicated file
gboolean write_scribbles_to_file(const char *filename);

// Add the file to the local metadata.db file in the folder
void add_file_to_metadata(char *filename, char *tag);

// Add the last read page in the metadata file
void add_last_page_to_meta_data (const gchar *filename, int last_page);
int get_last_page_from_meta_data (const gchar *filename);

// utility functions
unsigned long get_meminfo(void);
long get_file_size(char *filename);

